{
  "crawlerFilters": {},
  "additionalFields": {
    "aggregate_time_estimate": {
      "title": {
        "displayName": "Aggregate Time Estimate"
      },
      "type": "stringNotAnalyzed"
    },
    "project_key": {
      "title": {
        "displayName": "Project Key"
      },
      "type": "stringNotAnalyzed"
    },
    "due_date": {
      "title": {
        "displayName": "Due Date"
      },
      "type": "stringNotAnalyzed"
    },
    "description": {
      "title": {
        "displayName": "Description"
      },
      "type": "stringNotAnalyzed"
    },
    "aggregate_time_original_estimate": {
      "title": {
        "displayName": "Aggregate Time Original Estimate"
      },
      "type": "stringNotAnalyzed"
    },
    "resolution": {
      "title": {
        "displayName": "Resolution"
      },
      "type": "stringNotAnalyzed"
    },
    "time_spent": {
      "title": {
        "displayName": "Time spent"
      },
      "type": "stringNotAnalyzed"
    },
    "fix_versions": {
      "title": {
        "displayName": "Fix Versions"
      },
      "type": "multiSelect"
    },
    "time_estimate": {
      "title": {
        "displayName": "Time Estimate"
      },
      "type": "stringNotAnalyzed"
    },
    "security": {
      "title": {
        "displayName": "Security"
      },
      "type": "stringNotAnalyzed"
    },
    "environment": {
      "title": {
        "displayName": "Environment"
      },
      "type": "stringNotAnalyzed"
    },
    "resolution_date": {
      "title": {
        "displayName": "Resolution Date"
      },
      "type": "stringNotAnalyzed"
    },
    "creator_display_name": {
      "title": {
        "displayName": "Creator Name"
      },
      "type": "stringNotAnalyzed"
    },
    "votes": {
      "title": {
        "displayName": "Votes"
      },
      "type": "stringNotAnalyzed"
    },
    "work_ratio": {
      "title": {
        "displayName": "Work Ratio"
      },
      "type": "stringNotAnalyzed"
    },
    "updated": {
      "title": {
        "displayName": "Updated"
      },
      "type": "stringNotAnalyzed"
    },
    "reporter_display_name": {
      "title": {
        "displayName": "Reporter Display Name"
      },
      "type": "stringNotAnalyzed"
    },
    "key": {
      "title": {
        "displayName": "Key"
      },
      "type": "stringNotAnalyzed"
    },
    "time_original_estimate": {
      "title": {
        "displayName": "Time Original Estimate"
      },
      "type": "stringNotAnalyzed"
    }
  },
  "externalUrls": {
    "TICKET": {
      "url": "${dataSource.baseUiUrl}/browse/${entity.urlParts.key}"
    }
  },
  "entityNames": {
    "FIELDS": {
      "displayName": "Jira Custom Fields"
    },
    "TICKET": {
      "displayName": "Jira Issue"
    }
  },
  "relations": {
    "issueReference": {
      "type": "pattern",
      "requireSameDataSource": false,
      "requireSamePluginId": false,
      "requireSameType": false,
      "requireSameDomain": false,
      "requiredTimeRange": null,
      "from": {
        "requireMe": false,
        "types": [
          "COMMIT",
          "PULL_REQUEST"
        ],
        "pluginIds": null
      },
      "to": {
        "requireMe": true,
        "types": [
          "TICKET"
        ],
        "pluginIds": null
      },
      "relationType": "ticketReference",
      "regexp": "(^|[^A-Z0-9-])([A-Z][A-Z0-9]{0,16}\\-\\d{1,6})($|[^A-Z0-9])",
      "windowSize": 32,
      "beforeGroup": 1,
      "afterGroup": -1,
      "meaningfulGroup": 2,
      "regexpIsOn": "FROM",
      "patternFields": [
        "*"
      ],
      "preciseField": "other.relations.issueKey"
    }
  },
  "plugin": {
    "id": "JiraPlugin",
    "name": "Jira",
    "version": "1.0.0"
  },
  "manifestVersion": 1,
  "validDataTypes": [
    "TICKET",
    "FIELDS"
  ]
}